Bug 700345 - Review Request: inamik-tableformatter - A set of Java classes to print text in tabulated form
Summary: Review Request: inamik-tableformatter - A set of Java classes to print text i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 700566
TreeView+ depends on / blocked
 
Reported: 2011-04-28 07:55 UTC by Karel Klíč
Modified: 2013-03-03 23:02 UTC (History)
4 users (show)

Fixed In Version: inamik-tableformatter-0.96.2-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 05:10:21 UTC
akurtako: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Karel Klíč 2011-04-28 07:55:25 UTC
Spec URL: http://kklic.fedorapeople.org/com.inamik.utils.tableformatter.spec
SRPM URL: http://kklic.fedorapeople.org/com.inamik.utils.tableformatter-0.96.2-1.fc14.src.rpm
Description:
A set of Java classes to print text in tabulated form. With these
classes you can organize 'cells' of data into rows and columns. Each
cell can contain multiple lines of text and may specify a horizontal
alignment (left, center, right) and a vertical alignment (top, center,
bottom). When you are ready to print the data, these classes will
ensure that all cells in a given column have the same width and all
cells in a given row have the same height.

$ rpmlint ./com.inamik.utils.tableformatter-0.96.2-1.fc14.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ./com.inamik.utils.tableformatter-javadoc-0.96.2-1.fc14.noarch.rpm 
com.inamik.utils.tableformatter-javadoc.noarch: W: spelling-error Summary(en_US) tableformatter -> table formatter, table-formatter, formatter
com.inamik.utils.tableformatter-javadoc.noarch: W: spelling-error %description -l en_US tableformatter -> table formatter, table-formatter, formatter
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

-> tableformatter is in the package name

$ rpmlint com.inamik.utils.tableformatter-0.96.2-1.fc14.src.rpm
com.inamik.utils.tableformatter.src: W: invalid-url Source0: com.inamik.utils.tableformatter-0.96.2-src.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

-> Source file cannot be downloaded directly from the website.

Comment 1 Alexander Kurtakov 2011-04-28 09:31:18 UTC
Shouldn't it be called jtable-format ? The current  you have chosen looks quite strange for package name.

Comment 2 Karel Klíč 2011-04-28 16:04:23 UTC
Yes, the name is ugly. I have followed the tarball name but it feels wrong.

If we rename the package to jtable-format, it will contain a jar file not consistent with it:
/usr/share/java/com.inamik.utils.tableformatter.jar

The packaging guidelines: "When naming a package, the name should match the upstream tarball or project name from which this software came."

The tarball is com.inamik.utils.tableformatter-%{version}-src.tar.gz
The project names used on the website are:
- iNamik Text Table Formatter for Java
- TableFormatter
- Table Formatter
- iNamik TableFormatter
- the URL of the upstream website contains "jtable_format"

So what about the "inamik-tableformatter" name? It looks closer to the upstream project name and to the included jar file name.

What do you think?

Comment 3 Alexander Kurtakov 2011-04-30 09:21:41 UTC
inamik-tableformatter sounds good.

Comment 4 Alexander Kurtakov 2011-04-30 09:38:16 UTC
Please provide the updated srpm/spec and I'll do the review.

Comment 5 Karel Klíč 2011-05-02 11:27:26 UTC
Spec URL: http://kklic.fedorapeople.org/inamik-tableformatter.spec
SRPM URL: http://kklic.fedorapeople.org/inamik-tableformatter-0.96.2-2.fc14.src.rpm

* Mon May  2 2011 Karel Klíč <kklic@redhat.com> - 0.96.2-2
- Renamed the package from com.inamik.tableformatter to inamik-tableformatter
- Require jpackage-utils by -javadoc package (needed for directory)

Comment 6 Alexander Kurtakov 2011-05-11 07:39:22 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
inamik-tableformatter.src: W: invalid-url Source0: com.inamik.utils.tableformatter-0.96.2-src.tar.gz
OK. Upstream has some strange checks.
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: GPLv2+
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.


=== Issues ===
1. Single small issue - missing license in the javadoc subpackage

Comment 7 Karel Klíč 2011-05-12 09:11:22 UTC
Alexander, thank you very much for the review. I'm glad for it.

Spec URL: http://kklic.fedorapeople.org/inamik-tableformatter.spec
SRPM URL: http://kklic.fedorapeople.org/inamik-tableformatter-0.96.2-3.fc14.src.rpm

* Thu May 12 2011 Karel Klíč <kklic@redhat.com> - 0.96.2-3
- Include the license file in the javadoc subpackage

Comment 8 Alexander Kurtakov 2011-05-12 09:23:44 UTC
Approved.

Comment 9 Karel Klíč 2011-05-12 16:03:58 UTC
New Package SCM Request
=======================
Package Name: inamik-tableformatter
Short Description: A set of Java classes to print text in tabulated form
Owners: kklic
Branches: f14 f15
InitialCC:

Comment 10 Jason Tibbitts 2011-05-12 16:38:45 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2011-05-13 16:05:09 UTC
inamik-tableformatter-0.96.2-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/inamik-tableformatter-0.96.2-3.fc15

Comment 12 Fedora Update System 2011-05-13 16:05:17 UTC
inamik-tableformatter-0.96.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/inamik-tableformatter-0.96.2-3.fc14

Comment 13 Fedora Update System 2011-05-13 23:00:41 UTC
inamik-tableformatter-0.96.2-3.fc14 has been pushed to the Fedora 14 testing repository.

Comment 14 Fedora Update System 2011-05-19 05:10:15 UTC
inamik-tableformatter-0.96.2-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2011-05-25 02:25:01 UTC
inamik-tableformatter-0.96.2-3.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.